ZWTextInternal::Font Struct Reference

Internal: struct used to store the font of a ZWText. More...

## Public Member Functions

| Font ()
| constructor More...

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_height
| the line height More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: struct used to store the font of a ZWText.

## Constructor & Destructor Documentation

ZWTextInternal::Font::Font | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

std::string ZWTextInternal::Font::m_extra

extra data

Referenced by ZWTextInternal::operator<<(), and ZWText::readSectionFonts().

MWAWFont ZWTextInternal::Font::m_font

the font

Referenced by ZWTextInternal::HFZone::getDebugString(), ZWTextInternal::HFZone::HFZone(), ZWText::readHFZone(), ZWText::readSectionFonts(), ZWText::sendHeaderFooter(), and ZWText::sendText().

int ZWTextInternal::Font::m_height

the line height

Referenced by ZWTextInternal::operator<<(), and ZWText::readSectionFonts().

The documentation for this struct was generated from the following file:

- ZWText.cxx